API reference
Statements API
Get all statements
GET /api/v1/statements
Optional URL Query Parameters
- pspMerchantAccountName (string): The name of the parent Adyen merchant account.
- organizationId (string): Specifies the organization ID to filter statements by organization.
- merchantAccountId (string): Filter statements by merchant account.
- sortByDate (enum - asc, desc, defaults to desc): Sort statements by date.
- pageSize (number): Number of records to return, max 1000.
- pageIndex (number): Page index beginning with 0.
Response
{
"status": "ok",
"data": {
"rows": [
{
"month": 3,
"year": 2024,
"merchantAccountId": "12bb40d2-94ee-494c-a5d7-4b6f29428491",
"merchantAccount": {
"businessName": "Big Smile LLC"
},
"organization": {
"name": "Big Smile LLC"
}
}
],
"pagination": {
"pageIndex": 0,
"pageSize": 50,
"pageCount": 1,
"total": 1,
"hasPrevPage": false,
"hasNextPage": false
}
}
}
In each row, month is zero-based, the same as the month parameter below. For example, 3 is April.
Get statement file URL (link expires in 15 minutes)
GET /api/v1/statements/file-download-url?pspMerchantAccountName=DentalSolutions_US&merchantAccountId=12bb40d2-94ee-494c-a5d7-4b6f29428491&month=3&year=2024
Required URL Query Parameters
- pspMerchantAccountName (string): The name of the parent Adyen merchant account.
- merchantAccountId (string): The merchant account to fetch the statement for.
- month (number): The month the statement is requested for. Zero-based:
0= January,1= February, …11= December. In the example above,month=3is April. - year (number): The year the statement is requested for (e.g.
2024).
Response
{
"status": "ok",
"data": {
"url": "https://storage.googleapis.com/zentact-merchant-statements-bucket-c37f53e1/merchants/12bb40d2-94ee-494c-a5d7-4b6f29428491/statements/Big%20Smile%20LLC%20Statement%20Apr%202024.pdf?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=get-dev-file-signed-url-sa%40zentact-dev-9d12.iam.gserviceaccount.com%2F20240806%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20240806T002653Z&X-Goog-Expires=897&X-Goog-SignedHeaders=host&X-Goog-Signature=5f8b35376321c83976e70ff9e6891eb8c0e163f119302e28cf3b30ba48f82e6c26c08dc2a21d1c6ae537dffdbfd44197c946d80831a06428fb42854f378781ca46377587609d0d28851e71e5567929db284903d64ce823d52f573b5adeb103cc8deacbaa47004f651637c35416f75722d100f67436b694192c397f7279c5c94851130b4ceb770155e02a43eb68f982c293214f466208c389b1f01974f84dcf6440c5f63c2645f03ecdcaeb282b42fe769e8bfe1fefd92ab47853cad9e8bc15ef723db86b1b627eb5e8cc2c92e7d87362b4dfee514415c56f358937f667200700edee7bdb1c89afe1dccc18217693bdefccdec98356f97f409e9ea4459e3e4778",
"fileName": "Big Smile LLC Statement Apr 2024.pdf"
}
}